import { QInput } from './QInput-a81d9a9f.js';
import { ref, watchEffect, openBlock, createBlock, createSlots, withCtx, renderSlot } from './__federation_expose_Modules-a9c6a6fc.js';

const _sfc_main = {
  __name: 'AuthTextField',
  props: {
    modelValue: {
      type: String,
      default: ""
    },
    label: {
      type: String,
      default: ""
    },
    rules: {
      type: Array,
      default: () => []
    },
    type: {
      type: String,
      default: "text"
    }
  },
  emits: ["update:modelValue"],
  setup(__props, {
    emit
  }) {
    const props = __props;
    const localValue = ref(props.modelValue);
    watchEffect(() => {
      emit("update:modelValue", localValue.value);
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(QInput, {
        modelValue: localValue.value,
        "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => localValue.value = $event),
        class: "q-field__auth",
        label: props.label,
        rules: props.rules,
        type: props.type,
        "lazy-rules": "",
        outlined: ""
      }, createSlots({
        _: 2
      }, [!!_ctx.$slots.prepend ? {
        name: "prepend",
        fn: withCtx(() => [renderSlot(_ctx.$slots, "prepend")]),
        key: "0"
      } : undefined]), 1032, ["modelValue", "label", "rules", "type"]);
    };
  }
};

export { _sfc_main };
